UPDATE project_floor_sub_item
SET delete_time=NOW(),
    note='同一单元号存在多条不同类型的数据'
WHERE obj_no IN (SELECT DISTINCT obj_no
                 FROM contract_unit
                 WHERE contract_code IN (
                                         'HT-XAS-ZAGJFZ-伍07-202211-1090',
                                         'HT-XAS-ZAGJFZ-伍08-202211-1125',
                                         'HT-XAS-ZAGJFZ-伍09-202211-1133',
                                         'HT-XAS-ZAGJFZ-伍10-202211-1138',
                                         'HT-XAS-ZAGJFZ-叁01-202211-1148',
                                         'HT-XAS-ZAGJFZ-壹01-202211-1159',
                                         'HT-XAS-ZAGJFZ-叁07-202211-1160',
                                         'HT-XAS-ZAGJFZ-叁08-202211-1176',
                                         'HT-XAS-ZAGJFZ-壹02-202211-1187',
                                         'HT-XAS-ZAGJFZ-壹03-202211-1194',
                                         'HT-XAS-ZAGJFZ-叁10-202211-1198',
                                         'HT-XAS-ZAGJFZ-贰01-202211-1203',
                                         'HT-XAS-ZAGJFZ-贰02-202211-1214',
                                         'HT-XAS-ZAGJFZ-贰06-202211-1218',
                                         'HT-XAS-ZAGJFZ-壹11-202211-1236',
                                         'HT-XAS-ZAGJFZ-伍11-202212-1861'
                     ))
  AND uuid NOT IN (SELECT DISTINCT sub_item_uuid
                   FROM contract_unit
                   WHERE contract_code IN (
                                           'HT-XAS-ZAGJFZ-伍07-202211-1090',
                                           'HT-XAS-ZAGJFZ-伍08-202211-1125',
                                           'HT-XAS-ZAGJFZ-伍09-202211-1133',
                                           'HT-XAS-ZAGJFZ-伍10-202211-1138',
                                           'HT-XAS-ZAGJFZ-叁01-202211-1148',
                                           'HT-XAS-ZAGJFZ-壹01-202211-1159',
                                           'HT-XAS-ZAGJFZ-叁07-202211-1160',
                                           'HT-XAS-ZAGJFZ-叁08-202211-1176',
                                           'HT-XAS-ZAGJFZ-壹02-202211-1187',
                                           'HT-XAS-ZAGJFZ-壹03-202211-1194',
                                           'HT-XAS-ZAGJFZ-叁10-202211-1198',
                                           'HT-XAS-ZAGJFZ-贰01-202211-1203',
                                           'HT-XAS-ZAGJFZ-贰02-202211-1214',
                                           'HT-XAS-ZAGJFZ-贰06-202211-1218',
                                           'HT-XAS-ZAGJFZ-壹11-202211-1236',
                                           'HT-XAS-ZAGJFZ-伍11-202212-1861'
                       ))
LIMIT 16;


UPDATE mfg.contract t SET t.opportunity_uuid = 1624981010162188290, t.opportunity_contact_uuid = 'bd48613fa7a066c46ab5ba2c89678108', t.opportunity_contact_name = '杜敏' WHERE t.uuid = 1613730111323897857


UPDATE mfg.contract t
SET t.opportunity_uuid         = 1601169595133194241,
    t.opportunity_contact_uuid = '68bcd4c2ae850ae248c7f27225d6f87e',
    t.opportunity_contact_name = '罗总'
WHERE t.uuid = 1597231717989023745
  AND t.contract_type = 1
  AND t.old_contract_uuid IS NULL
  AND t.new_contract_uuid IS NULL
  AND t.contract_code LIKE 'HT-CDS-IFSCDGJJRZX2H-3605-202211-1504' ESCAPE
      '#' AND t.contract_status = 6 AND t.contract_lease_type = 1 AND
      t.company_uuid LIKE 'cf0bd466d4c747e5bb5b3662cd42a542' ESCAPE '#' AND
                                                                    t.company_name LIKE '四川信科盛科技有限公司' ESCAPE
                                                                    '#' AND t.sign_contract_date = '2022-11-10' AND
                                                                    t.office_capacity = 12 AND t.lease_effect_uuid LIKE
                                                                                               '1522774358977757186' ESCAPE
                                                                                               '#' AND
                                                                                               t.lease_start_date =
                                                                                               '2022-11-10' AND
                                                                                               t.lease_end_date =
                                                                                               '2024-05-31' AND
                                                                                               t.contract_save_status =
                                                                                               1 AND
                                                                                               t.contract_type_tag =
                                                                                               1 AND
                                                                                               t.has_custom_field =
                                                                                               1 AND t.is_delete = 0 AND
                                                                                               t.create_uuid LIKE
                                                                                               '416196ddf1ac4d3587b9ee021c395744' ESCAPE
                                                                                               '#' AND
                                                                                               t.update_uuid LIKE
                                                                                               'db8a8f14734144c3bad53aefa6af1f0c' ESCAPE
                                                                                               '#' AND t.create_time =
                                                                                                       '2022-11-28 22:11:31' AND
                                                                                               t.update_time =
                                                                                               '2023-01-30 11:47:29' AND
                                                                                               t.property_management IS NULL AND
                                                                                               t.property_service IS NULL AND
                                                                                               t.property_fees =
                                                                                               35.00 AND
                                                                                               t.property_fees_sum =
                                                                                               5525.10 AND
                                                                                               t.rent_deposit =
                                                                                               46000.00 AND
                                                                                               t.rent_deposit_months =
                                                                                               2.00 AND
                                                                                               t.property_deposit =
                                                                                               0.00 AND
                                                                                               t.water_electricity_deposit =
                                                                                               4700.00 AND
                                                                                               t.water_and_electricity =
                                                                                               150.00 AND
                                                                                               t.water_and_electricity_is_follow_rent =
                                                                                               1 AND
                                                                                               t.water_and_electricity_division IS NULL AND
                                                                                               t.water_and_electricity_second_lease_term_division IS NULL AND
                                                                                               t.leased_area =
                                                                                               157.86 AND t.unit_type =
                                                                                                          1 AND
                                                                                               t.project_uuid LIKE
                                                                                               '1e81918c45ae40e5a47909f1860df1f2' ESCAPE
                                                                                               '#' AND
                                                                                               t.project_name LIKE
                                                                                               'IFS成都国际金融中心2号楼' ESCAPE
                                                                                               '#' AND
                                                                                               t.contract_generate_time IS NULL AND
                                                                                               t.contract_generator_uuid IS NULL AND
                                                                                               t.contract_generator_name IS NULL AND
                                                                                               t.contract_model_uuid IS NULL AND
                                                                                               t.emergency_degree =
                                                                                               1 AND t.creator_name LIKE
                                                                                                     '邱野-Richard' ESCAPE
                                                                                                     '#' AND
                                                                                                     t.updater_name LIKE
                                                                                                     '刘玉洁-Keira' ESCAPE
                                                                                                     '#' AND
                                                                                                     t.delivery_date =
                                                                                                     '2022-11-10' AND
                                                                                                     t.associations_uuid IS NULL AND
                                                                                                     t.associations_code IS NULL AND
                                                                                                     t.contract_step =
                                                                                                     3 AND
                                                                                                     t.contract_contains_remark =
                                                                                                     0 AND
                                                                                                     t.audit_remark IS NULL AND
                                                                                                     t.approval_status =
                                                                                                     4 AND
                                                                                                     t.is_finished =
                                                                                                     1 AND
                                                                                                     t.fid IS NULL AND
                                                                                                     t.approval_type IS NULL AND
                                                                                                     t.change_user_type =
                                                                                                     0 AND
                                                                                                     t.change_type =
                                                                                                     0 AND
                                                                                                     t.change_effective_time IS NULL AND
                                                                                                     t.is_draft = 0 AND
                                                                                                     t.reason IS NULL AND
                                                                                                     t.rent_refund_date IS NULL AND
                                                                                                     t.surrender_type IS NULL AND
                                                                                                     t.business_registration_address_change_date IS NULL AND
                                                                                                     t.opportunity_uuid =
                                                                                                     -1 AND
                                                                                                     t.rent_refund_signing_date IS NULL AND
                                                                                                     t.opportunity_name IS NULL AND
                                                                                                     t.opportunity_contact_uuid LIKE
                                                                                                     '-1' ESCAPE '#' AND
                                                                                                                 t.opportunity_contact_name LIKE
                                                                                                                 '无到访' ESCAPE
                                                                                                                 '#' AND
                                                                                                                 t.origin_uuid IS NULL AND
                                                                                                                 t.is_archive =
                                                                                                                 0 AND
                                                                                                                 t.account_subject_info_uuid IS NULL AND
                                                                                                                 t.text_data_uuid_str IS NULL AND
                                                                                                                 t.registration IS NULL AND
                                                                                                                 t.contract_termination_data IS NULL AND
                                                                                                                 t.order_maker IS NULL AND
                                                                                                                 t.refund_reason IS NULL AND
                                                                                                                 t.is_notify IS NULL AND
                                                                                                                 t.fill_form_date IS NULL AND
                                                                                                                 t.total_guarantee IS NULL AND
                                                                                                                 t.transaction_time =
                                                                                                                 '2022-12-01 17:11:32' AND
                                                                                                                 t.contract_creator_uuid IS NULL AND
                                                                                                                 t.contract_creator_name IS NULL AND
                                                                                                                 t.first_final_payment_day LIKE
                                                                                                                 '三' ESCAPE
                                                                                                                 '#' AND
                                                                                                                 t.trance_id IS NULL AND
                                                                                                                 t.oa_status_repeat_updated_count =
                                                                                                                 0 AND
                                                                                                                 t.is_need_stamp =
                                                                                                                 0 AND
                                                                                                                 t.is_save_edit_bill =
                                                                                                                 1 AND
                                                                                                                 t.meter_reading_date_num =
                                                                                                                 10 AND
                                                                                                                 t.enable_operating_management_bill =
                                                                                                                 0;

UPDATE  bill AS b
INNER JOIN  bill_item AS bi ON bi.bill_uuid=b.uuid AND bi.is_parent=1
SET b.payment_date=bi.pay_date
WHERE bi.fee_type_uuid='1494239635921162240'

UPDATE mfg.contract t
SET t.opportunity_uuid         = 1626422072642699265,
    t.opportunity_name         = '上海威奥颐摩健康科技有限公司',
    t.opportunity_contact_uuid = '96762049ffcba55da959587755ccad2a',
    t.opportunity_contact_name = '甘雨'
WHERE t.uuid = 1620271886740553729;


UPDATE mfg.admin t
SET t.mobile = '15928537751'
WHERE t.uuid LIKE '1ebf650006de41a99031c6ad2d4c5573' ESCAPE '#';


UPDATE mfg.contract t
SET t.opportunity_uuid         = 1628336891953803265,
    t.opportunity_contact_uuid = '18fc05ae70e00c486b1945b6baffb496'
WHERE t.uuid = 1625094094549745666;






